<div class="d-flex justify-content-end">
  <a class="navegacion" routerLink="./registro">Nuevo acuerdo general</a>
</div>
<div class="busqueda">
  <div class="head-busqueda">
    <p>Parámetros de búsqueda</p>
  </div>
  <form (ngSubmit)="construyeFiltro()">
  <div class="form-row p-3">
    <div class="col-4 relative">
      <label for="">Rubro:</label>
      <input type="text" name="rubro" id="rubro" placeholder="Ingrese el rubro" class="form-control" autocomplete="off"
        [(ngModel)]="busqueda.rubro" [ngClass]="{'invalid': requerid.rubro }">
        <i *ngIf="busqueda.rubro" class="pi pi-times clear-autocomplete" (click)="busqueda.rubro = ''"></i>
    </div>
    <div class="col-4 relative">
      <label for="">Fecha de aprobación:</label>
      <p-calendar [showIcon]="true" placeholder="Ingrese la fecha de aprobación" [yearNavigator]="true" [monthNavigator]="true"
        yearRange="1800:2030" dataType="string" dateFormat="dd-mm-yy" [styleClass]="requerid.fecha ? 'invalid w-100' : 'w-100'"
        [(ngModel)]="busqueda.fecha" name="aprobacion"></p-calendar>
        <i *ngIf="busqueda.fecha" class="pi pi-times clear-autocomplete" (click)="busqueda.fecha = ''"></i>
    </div>
    <div class="col-4 relative">
      <label for="">Vigencia:</label>
      <p-dropdown emptyFilterMessage="Sin resultados" styleClass="w-100" [options]="vigenciaArray"
      [(ngModel)]="busqueda.vigencia" optionLabel="nombre" [filter]="true" filterBy="nombre"
        [showClear]="true" optionValue="nombre" name="vigencia" placeholder="Vigencia">
      </p-dropdown>
    </div>
    <!-- <div class="col-3 relative">
      <label for="">Materia de regulación:</label>
      <p-dropdown emptyFilterMessage="Sin resultados" styleClass="w-100" [options]="materiaRegulacionArray"
      [(ngModel)]="busqueda.materiaRegulacion" optionLabel="nombre" [filter]="true" filterBy="nombre"
        [showClear]="true" optionValue="nombre" name="materia" placeholder="Ingrese la materia">
      </p-dropdown>
    </div> -->

    <div class="col-12">
      <div class="d-flex align-items-center justify-content-between">
        <span *ngIf="acuerdoAllMod.content.length == 0">0 resultado(s)</span>
          <p class="mb-0" *ngIf="acuerdoAllMod.content.length > 0">
            {{(acuerdoAllMod.number*acuerdoAllMod.size)+1}} a {{calculateSizePage()}} de {{acuerdoAllMod.totalElements}} resultado(s)
          </p>
        <p-button label="Buscar" icon="pi pi-search" type="submit" styleClass="p-button-sm" ></p-button>
      </div>
      <div class="mr-auto d-flex align-items-center" *ngIf="viewSearch">
        <p class="mb-0">Se encontraron {{acuerdoAllMod.totalElements}} resultado(s)</p>
        <button style="transform: scale(.8);" class="btn btn-success ml-1 d-flex" type="button" (click)="restauraTabla()">
          <i class="material-icons" pTooltip="Da clic para eliminar los filtros" tooltipPosition="left">restart_alt</i>
        </button>
      </div>
    </div>
  </div>
</form>
</div>
<div class="d-flex justify-content-end align-items-center pb-3">
  <div class="p-1">

  </div>
  <div class="d-flex justify-content-center align-items-center">
    <span class="mr-2">Mostrar: </span>
    <p-dropdown [options]="[{size:10},{size:20},{size:30},{size:50},{size:100}]" optionLabel="size" optionValue="size" [(ngModel)]="acuerdoAllMod.size"
      (onChange)="onChangeSize($event)"></p-dropdown>
  </div>

</div>
<p-table [value]="acuerdos" [scrollable]="true" scrollHeight="400px" scrollDirection="both">
  <ng-template pTemplate="header">
    <tr>
      <th style="width:200px">Rubro</th>
      <th style="width:130px">Fecha aprobación</th>
      <th style="width:100px">Vigencia</th>
      <th style="width:200px">Materia de regulación</th>
      <th style="width:200px">Captura %</th>
      <th style="width:100px"></th>
    </tr>
  </ng-template>
  <ng-template pTemplate="body" let-acuerdo>
    <tr>
      <td style="width:200px" class="text-center short-text">{{acuerdo.rubro}}</td>
      <td style="width:130px;" class="text-center short-text">{{acuerdo.fechaAprobacion}}</td>
      <td style="width:100px" class="text-center short-text">{{acuerdo.vigencia}}</td>
      <td style="width:200px" class="text-center short-text">
        <div class="list-asuntos" *ngIf="acuerdo.clasificacionMateriaRegulacion.length > 0">
          <p class="ml-2" *ngFor="let clasificacion of acuerdo.clasificacionMateriaRegulacion">
            {{ clasificacion}}
          </p>
        </div>
        <p *ngIf="acuerdo.clasificacionMateriaRegulacion.length == 0">
          ------
        </p>
      </td>
      <td style="width:200px" class="text-center px-5">
        <div>
          {{ acuerdo.porcentaje }}%
        </div>
        <div class="percent" [style.width]="acuerdo.porcentaje+'%'" [ngClass]="{
          'incomplet': acuerdo.porcentaje >= 51 && acuerdo.porcentaje <= 79,
          'complet': acuerdo.porcentaje >= 80 && acuerdo.porcentaje <= 100,
          'insuficient': acuerdo.porcentaje >= 0 && acuerdo.porcentaje <= 50
        }"></div>
      </td>
      <td style="width:100px">
        <div class="d-flex align-items-center justify-content-around">
          <i class="pi pi-trash c-del" (click)="confirm($event,acuerdo)" pTooltip="Da clic para eliminar el registro capturado"
            tooltipPosition="left"></i>
          <a [routerLink]="['edicion',acuerdo.id]"><i class="pi pi-pencil"
              pTooltip="Da clic para editar la información del registro capturado" tooltipPosition="left"></i>
          </a>
          <a [routerLink]="['edicion',acuerdo.id]" [queryParams]="{ visualizar: true }"><i class="pi pi-eye"></i></a>
        </div>
      </td>
    </tr>
  </ng-template>
</p-table>
<div class="d-flex justify-content-center align-items-center">
  <ngb-pagination [collectionSize]="acuerdoAllMod.totalElements" [page]="acuerdoAllMod.number + 1" [boundaryLinks]="true" [pageSize]="acuerdoAllMod.size"
    (pageChange)="realizaBusqueda($event,acuerdoAllMod.size,filtrado)" [maxSize]="4"></ngb-pagination>
</div>


<p-confirmPopup></p-confirmPopup>
<p-toast position="bottom-right" key="ks"></p-toast>
